library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity bincntr_g is
  generic
  (
    N : integer := 27
  );
  port
  (
    clk : in  std_logic;
    cnt_h : out std_logic
  );
end bincntr_g;

architecture impl of bincntr_g is
signal cntr : std_logic_vector(N-1 downto 0) := (others => '0');

begin
  process (clk)
  begin
    if rising_edge(clk) then
      cntr <= cntr + 1;
    end if;
  end process;
  cnt_h <= cntr(N-1);
end impl;
