library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity bincntr is
  port
  (
    clk : in std_logic;
    counter : out std_logic_vector(26 downto 0)
  );
end bincntr;

architecture impl of bincntr is
signal cntr : unsigned(26 downto 0) := (others => '0');
begin
  process (clk)
  begin
    if rising_edge(clk) then
      cntr <= cntr + 1;
    end if;
  end process;
  counter <= std_logic_vector(cntr);
end impl;
