library ieee;
use ieee.std_logic_1164.all;

entity dff_ar is
  port
  (
    clk : in std_logic; -- clock input
    d : in std_logic; -- data input
    reset_a : in std_logic; -- asynchronous reset input
    q : out std_logic  -- data output
  );
end dff_ar;

architecture impl of dff_ar is
begin
  process (clk, reset_a)
  begin
  	if reset_a = '1' then
  		q <= '0';
    elsif rising_edge(clk) then
      q <= d;
    end if;
  end process;
end impl;
