-- sync.vhd

library ieee;
use ieee.std_logic_1164.all;

entity sync is
  port
  (
    clk : in std_logic;
    inp : in std_logic;
    inp_sync : out std_logic
  );
end sync;

architecture impl of sync is
signal inp_reg : std_logic_vector(1 downto 0) := "00";
signal inp_next : std_logic_vector(1 downto 0);
 
begin
  process (clk)
  begin
    if rising_edge(clk) then
      inp_reg <= inp_next;
    end if;
  end process;
  
  inp_next <= inp_reg(0) & inp;
  inp_sync <= inp_reg(1);

end impl;
