-- hex2sseg_test

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity sseg_hex_basys3 is
  port
  (
    sw : in std_logic_vector(4 downto 0);
    seg : out std_logic_vector(7 downto 0);
    an_n0 : out std_logic
  );
end sseg_hex_basys3;

architecture impl of sseg_hex_basys3 is
component hex2sseg is
  port
  (
    hexnum : in std_logic_vector(3 downto 0);
    decpoint : in std_logic;
    sevseg : out std_logic_vector(7 downto 0) -- dp : bit 7; g: bit 6 ; ... a : bit 0
  );
end component;

signal ss_data : std_logic_vector(7 downto 0);

begin
  h2s: hex2sseg
  port map
  (
    hexnum => sw(4 downto 1),
    decpoint => sw(0),
    sevseg => ss_data
  );
  
  an_n0 <= '0';
  seg <= not ss_data;
end impl;
