# Clock signal
set_property PACKAGE_PIN W5 [get_ports clk100]
set_property IOSTANDARD LVCMOS33 [get_ports clk100]
create_clock -period 10.000 -name sys_clk_pin -waveform {0.000 5.000} -add [get_ports clk100]

# Switches

# Buttons
set_property PACKAGE_PIN U18 [get_ports btnC]
set_property IOSTANDARD LVCMOS33 [get_ports btnC]
set_property PACKAGE_PIN T18 [get_ports btnU]						
	set_property IOSTANDARD LVCMOS33 [get_ports btnU]
set_property PACKAGE_PIN U17 [get_ports btnD]						
    set_property IOSTANDARD LVCMOS33 [get_ports btnD]
    
## LEDs
#set_property PACKAGE_PIN U16 [get_ports led0]
#set_property IOSTANDARD LVCMOS33 [get_ports led0]

## Switches
#set_property PACKAGE_PIN V17 [get_ports {sw[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[0]}]
#set_property PACKAGE_PIN V16 [get_ports {sw[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[1]}]
#set_property PACKAGE_PIN W16 [get_ports {sw[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[2]}]
#set_property PACKAGE_PIN W17 [get_ports {sw[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[3]}]
#set_property PACKAGE_PIN W15 [get_ports {sw[4]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[4]}]
#set_property PACKAGE_PIN V15 [get_ports {sw[5]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[5]}]
#set_property PACKAGE_PIN W14 [get_ports {sw[6]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[6]}]
#set_property PACKAGE_PIN W13 [get_ports {sw[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[7]}]
#set_property PACKAGE_PIN V2 [get_ports {sw[8]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[8]}]
#set_property PACKAGE_PIN T3 [get_ports {sw[9]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[9]}]
#set_property PACKAGE_PIN T2 [get_ports {sw[10]}]
#	set_property IOSTANDARD LVCMOS33 [get_ports {sw[10]}]
#set_property PACKAGE_PIN R3 [get_ports {sw[11]}]
#	set_property IOSTANDARD LVCMOS33 [get_ports {sw[11]}]
#set_property PACKAGE_PIN W2 [get_ports {sw[12]}]
#	set_property IOSTANDARD LVCMOS33 [get_ports {sw[12]}]
#set_property PACKAGE_PIN U1 [get_ports {sw[13]}]
#	set_property IOSTANDARD LVCMOS33 [get_ports {sw[13]}]
##set_property PACKAGE_PIN T1 [get_ports {sw[14]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[14]}]
#set_property PACKAGE_PIN R2 [get_ports {sw[15]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sw[15]}]


##Pmod Header JB
##Sch name = JB1
set_property PACKAGE_PIN A14 [get_ports oe_n]
set_property IOSTANDARD LVCMOS33 [get_ports oe_n]
##Sch name = JB2
set_property PACKAGE_PIN A16 [get_ports stb]
set_property IOSTANDARD LVCMOS33 [get_ports stb]
##Sch name = JB3
#set_property PACKAGE_PIN B15 [get_ports {JB[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JB[2]}]
##Sch name = JB4
set_property PACKAGE_PIN B16 [get_ports clk_pix]
set_property IOSTANDARD LVCMOS33 [get_ports clk_pix]
##Sch name = JB7
set_property PACKAGE_PIN A15 [get_ports d]
set_property IOSTANDARD LVCMOS33 [get_ports d]
##Sch name = JB8
set_property PACKAGE_PIN A17 [get_ports c]
set_property IOSTANDARD LVCMOS33 [get_ports c]
##Sch name = JB9
set_property PACKAGE_PIN C15 [get_ports b]
set_property IOSTANDARD LVCMOS33 [get_ports b]
##Sch name = JB10
set_property PACKAGE_PIN C16 [get_ports a]
set_property IOSTANDARD LVCMOS33 [get_ports a]

##Pmod Header JC
##Sch name = JC1
set_property PACKAGE_PIN K17 [get_ports g1]
set_property IOSTANDARD LVCMOS33 [get_ports g1]
##Sch name = JC2
set_property PACKAGE_PIN M18 [get_ports b0]
set_property IOSTANDARD LVCMOS33 [get_ports b0]
##Sch name = JC3
set_property PACKAGE_PIN N17 [get_ports b1]
set_property IOSTANDARD LVCMOS33 [get_ports b1]
##Sch name = JC4
#set_property PACKAGE_PIN P18 [get_ports {JC[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JC[3]}]
##Sch name = JC7
set_property PACKAGE_PIN L17 [get_ports g0]
set_property IOSTANDARD LVCMOS33 [get_ports g0]
##Sch name = JC8
set_property PACKAGE_PIN M19 [get_ports r1]
set_property IOSTANDARD LVCMOS33 [get_ports r1]
##Sch name = JC9
#set_property PACKAGE_PIN P17 [get_ports {JC[6]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JC[6]}]
##Sch name = JC10
set_property PACKAGE_PIN R18 [get_ports r0]
set_property IOSTANDARD LVCMOS33 [get_ports r0]


set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.CONFIGRATE 33 [current_design]
set_property CONFIG_MODE SPIx4 [current_design]
