/* fpga_basic.v */

module fpga_basic
  (
    input clk,
    input in_1,
    input in_2,
    output blink_o,
    output and_o,
    output or_o
   );
   
   reg [24:0] cntr;
   
   /* concurrent part */
   assign and_o = in_1 & in_2;
   assign or_o = in_1 | in_2;
   
   /* sequential part */
   always @ (posedge clk)
     cntr <= cntr + 1;
   
   assign blink_o = cntr[24];
   
endmodule
