library ieee;
use ieee.std_logic_1164.all;

entity blink is
  port
  (
    CLK100MHZ : in std_logic;
    led_blink : out std_logic
  );
end blink;

architecture impl of blink is
component bincntr is
  port
  (
    clk : in  std_logic;
    counter : out std_logic_vector(26 downto 0)
  );
end component;
begin
  mycntr : bincntr
  port map
  (
    clk => CLK100MHZ,
    counter(26) => led_blink,
    counter(25 downto 0) => open
  );
end impl;
