library ieee;
use ieee.std_logic_1164.all;

entity blink2 is
  port
  (
    CLK100MHZ : in std_logic;
    led_blink : out std_logic
  );
end blink2;

architecture impl of blink2 is
component bincntr_g is
  generic
  (
    N : integer := 27
  );
  port
  (
    clk : in  std_logic;
    cnt_h : out std_logic
  );
end component;
begin
  mycntr : bincntr_g
  generic map
  (
    N => 25
  )
  port map
  (
    clk => CLK100MHZ,
    cnt_h => led_blink
  );
end impl;
