library ieee;
use ieee.std_logic_1164.all;

entity dff is
  port
  (
    clk : in std_logic; -- clock input
    d : in std_logic; -- data input
    q : out std_logic  -- data output
  );
end dff;

architecture impl of dff is
begin
  process (clk)
  begin
    if rising_edge(clk) then
      q <= d;
    end if;
  end process;
end impl;
