library ieee;
use ieee.std_logic_1164.all;

entity dff_en is
  port
  (
    clk : in std_logic; -- clock input
    d : in std_logic; -- data input
    en : in std_logic; -- enable input
    q : out std_logic  -- data output
  );
end dff_en;

architecture impl of dff_en is
begin
  process (clk)
  begin
    if rising_edge(clk) then
    	if en = '1' then
        q <= d;
      end if;
    end if;
  end process;
end impl;
