library ieee;
use ieee.std_logic_1164.all;

entity dff_sr is
  port
  (
    clk : in std_logic; -- clock input
    d : in std_logic; -- data input
    reset : in std_logic; -- synchronous reset input
    q : out std_logic  -- data output
  );
end dff_sr;

architecture impl of dff_sr is
begin
  process (clk)
  begin
    if rising_edge(clk) then
    	if reset = '1' then
    		q <= '0';
      else
        q <= d;
      end if;
    end if;
  end process;
end impl;
