-- or_complicated.vhd

library ieee;
use ieee.std_logic_1164.all;

entity or_complicated is
  port
  (
    in0 : in std_logic;
    in1 : in std_logic;
    out0 : out std_logic
  );
end or_complicated;

architecture impl of or_complicated is

begin
  process (in0, in1)
  begin
    if (in0 = '1') or (in1 = '1') then
      out0 <= '1';
    else
      out0 <= '0';
    end if;
  end process;
end impl;
