-- clkdiv_bad.vhd

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity clkdiv_bad is
  port
  (
    clk : in std_logic;
    led_fast : out std_logic;
    led_slow : out std_logic
  );
end clkdiv_bad;

architecture impl of clkdiv_bad is
signal cntr1_reg : unsigned(23 downto 0) := (others => '0');
signal cntr1_next : unsigned(23 downto 0);

signal cntr2_reg : unsigned(2 downto 0) := (others => '0');
signal cntr2_next : unsigned(2 downto 0);

signal clk_slow : std_logic;
begin
  process (clk)
  begin
    if rising_edge(clk) then
      cntr1_reg <= cntr1_next;
    end if;
  end process;
  cntr1_next <= cntr1_reg + 1;
  led_fast <= cntr1_reg(23);
  
  clk_slow <= cntr1_reg(23); 
  process (clk_slow)
  begin
    if rising_edge(clk_slow) then
      cntr2_reg <= cntr2_next;
    end if;
  end process;
  cntr2_next <= cntr2_reg + 1;
  led_slow <= cntr2_reg(2);
end impl;
