-- clockenable_bad.vhd

library ieee;
use ieee.std_logic_1164.all;

entity clockenable_bad is
  port
  (
    clk : in std_logic;
    en : in std_logic;
    data_in : in std_logic;
    data_out : out std_logic
  ); 
end clockenable_bad;

architecture impl of clockenable_bad is
signal data_reg : std_logic;
signal data_next : std_logic;
signal clk_en : std_logic;
begin
  clk_en <= clk and en;
  
  process (clk_en)
  begin
    if rising_edge(clk_en) then
      data_reg <= data_next;
    end if;
  end process;
  data_next <= data_in;
  data_out <= data_reg;
end impl;
