-- fpga_basic_arty

library ieee;
use ieee.std_logic_1164.all;


entity fpga_basic_arty is
  port
  (
    clk100 : in std_logic;
    sw0 : in std_logic;
    sw1 : in std_logic;
    led0 : out std_logic;
    led1 : out std_logic;
    led2 : out std_logic
  );
    
end fpga_basic_arty;

architecture impl of fpga_basic_arty is
component fpga_basic is
  port
  (
    clk : in std_logic;
    in_1 : in std_logic;
    in_2 : in std_logic;
    blink_o : out std_logic;
    and_o : out std_logic;
    or_o : out std_logic
  );
end component;

begin
  fb_arty_v : fpga_basic
  port map
  (
    clk => clk100,
    in_1 => sw0,
    in_2 => sw1,
    blink_o => led0,
    and_o => led1,
    or_o => led2
  );
end impl;
